static void Main(string[] args)
{
    // Začetne vrednosti
    int[,] hisa = new int[10, 10];
    Random generator = new Random();
    int izbVrstica = 0;
    int izbStolpec = 0;
    int tocke = 0;

    // Na mesta kjer so skrivališča zapišemo 1
    for (int i = 0; i <= 5; i++)
    {
      hisa[generator.Next(0, 10),generator.Next(0, 10)] = 1;
    }

    Console.WriteLine("Skrivalnice(vpišite X in Y koordinato in odkrite skrivalnico)");
    Console.WriteLine("Vpisujte številke od 0 do 9.\n");
    // Igralcu omogočimo 10 poizkusov
    for (int i = 0; i <= 9; i++)
    {
        //Vpis vrstice
        Console.Write("X: ");
        izbVrstica = int.Parse(Console.ReadLine());

        //Vpis stolpca
        Console.Write("Y: ");
        izbStolpec = int.Parse(Console.ReadLine());

        //Preverimo veljavnost vnosa, če ni veljaven spremenljivko i zmanjšamo za 1,
        //da ima igralec vedno 10 veljavnih poizkusov
        if (izbVrstica > 9 | izbStolpec > 9)
        {
            Console.WriteLine("Neveljaven vnos!\n");
            i--;
        }
        else
        {
            //Preverimo vnešene koordinate
            if (hisa[izbVrstica, izbStolpec] == 1)
            {
                Console.WriteLine("Najdeno skrivališče.\n");
                tocke++; // Število doseženih točk
            }
            else
            {
                Console.WriteLine("Prazen prostor.\n");
            }
        }
    }
    //Izpišemo število točk
    Console.WriteLine("\nDoseženo število točk je: " + tocke+"\n");

    //Izpišemo številke stolpcev
    Console.Write("   ");
    for (int stStolpca = 0; stStolpca < 10; stStolpca++)
    {
        Console.Write("  "+stStolpca);
    }

    //Izpišemo črtno pod številkami stolpcev
    Console.Write("\n   ");
    for (int stStolpca = 0; stStolpca < 10; stStolpca++)
    {
        Console.Write("---");
    }
    Console.WriteLine();

    //Izpis tabele
    for (int stVrstice = 0; stVrstice < 10; stVrstice++)
    {
        Console.Write(" "+stVrstice+"|"); // Številke vrstic
        for (int stStolpca = 0; stStolpca < 10; stStolpca++)
        {
            Console.Write(hisa[stVrstice, stStolpca].ToString().PadLeft(3));
        }
        Console.WriteLine();
    }
    Console.ReadLine();
}